<!DOCTYPE html>
<html>
<head>
	<title>Vuex</title>
	<style>
		body {
			font-family: sans-serif;
			margin: 5%
		}
	</style>
</head>
<body>

<div id="app">
	<h1>{{ $store.state.count }}</h1>
  <p>State Management Pattern</p>
  <button @click="handleclick">Hitung</button>
</div>

<script src="https://cdn.jsdelivr.net/npm/vue@2/dist/vue.js"></script>
<script src="https://unpkg.com/vuex@3.6.2/dist/vuex.js"></script>

<script>
  
  const store = new Vuex.Store({
    state: {
      title: 'Vuejs',
      count: 1
    },
    mutations: {
      increment(state){
        state.count++
      }
    }
  });

  new Vue({
    el: '#app',
    data:{
    },
    store,
    methods:{
      handleclick(){
        this.$store.commit("increment")
      }
    },
  })
</script>

</body>
</html>